%global npm_name nodemon
%global enable_tests 0

Summary:       Simple monitor script for use during development of a node.js app
Name:          nodejs-%{npm_name}
Version:       2.0.3
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/remy/nodemon
Source0:       %{npm_name}-v%{version}-bundled.tar.gz

BuildRequires: nodejs-devel nodejs-packaging npm
%{?nodejs_find_provides_and_requires}

ExclusiveArch: x86_64 aarch64 ppc64le noarch
BuildArch:     noarch

%description
This package provides a simple monitor script for developing node.js app that can be used during 
development of a node.js based application.

nodemon will watch the files in the directory in which nodemon was started, and if any files change, 
nodemon will automatically restart your node application.

%prep
%autosetup -n %{npm_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr doc bin lib package.json website node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/nodemon.js %{buildroot}%{_bindir}/nodemon

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
npm run test
%endif

%files
%doc CODE_OF_CONDUCT.md doc faq.md README.md
%{_bindir}/nodemon
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 Wang Guodong <gordonwwang@tencent.com> - 2.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 Wang Guodong <gordonwwang@tencent.com> - 2.0.3-1
- initial build
